Группы
Группы пользователей.
curl -X GET "https://loading/api/v1/security/groups"[
{
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
"updatedAt": "2019-08-24T14:15:22Z",
"property1": null,
"property2": null
}
]Создать группу
АвторизацияBearer <токен>
В: header
Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X POST "https://loading/api/v1/security/groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
"updatedAt": "2019-08-24T14:15:22Z",
"property1": null,
"property2": null
}Получить группу по id
АвторизацияBearer <токен>
В: header
Параметры пути
id*string
Идентификатор группы
Формат
uuidТело ответа
application/json
curl -X GET "https://loading/api/v1/security/groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
"updatedAt": "2019-08-24T14:15:22Z",
"property1": null,
"property2": null
}Обновить группу
АвторизацияBearer <токен>
В: header
Параметры пути
id*string
Идентификатор группы
Формат
uuidТело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
curl -X PATCH "https://loading/api/v1/security/groups/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"createdAt": "2019-08-24T14:15:22Z",
"description": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
"updatedAt": "2019-08-24T14:15:22Z",
"property1": null,
"property2": null
}Удалить группу
АвторизацияBearer <токен>
В: header
Параметры пути
id*string
Идентификатор группы
Формат
uuidТело ответа
curl -X DELETE "https://loading/api/v1/security/groups/497f6eca-6276-4993-bfeb-53cbbbba6f08"Пусто